Skip to main content
GET
Get a checkout session

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Path Parameters

id
string
required

Unique identifier for the checkout-session

Response

Success

checkout_intent
enum<string>
required

Whether the session charges the customer or only stores a payment method

Available options:
payment,
vault
Example:

"payment"

created_at
string<date-time>
required

Timestamp when the session was created

Example:

"2026-04-01T10:00:00Z"

currency
string
required

ISO 4217 currency code

Example:

"USD"

id
string
required

Unique identifier for the checkout session

Example:

"chks_01H1VECT"

session_token
string
required

Browser-safe token that scopes the embedded checkout to this session. Pass it to the Alguna Checkout SDK.

Example:

"elt_01H1VECT"

status
enum<string>
required

Checkout session status

Available options:
created,
started,
successful,
expired
Example:

"created"

url
string
required

Hosted checkout URL for this session. The Alguna Checkout SDK embeds this URL; it can also be used directly as a redirect target.

Example:

"https://acme.alguna.io/embed/checkout/elt_01H1VECT"

amount
string | null

Total amount for the session

Example:

"99.00"

client_reference_id
string | null

Your reference supplied at creation

Example:

"order_1234"

customer_id
string | null

Customer the checkout is for, once known

Example:

"cust_abc123"

expires_at
string<date-time> | null

Timestamp when the session token expires

Example:

"2026-04-02T10:00:00Z"

invoice_id
string | null

Invoice created by the session, once completed. One-off sessions (line_items or amount) produce a paid invoice instead of a subscription.

Example:

"inv_01H1VECT"

payment_id
string | null

Payment created by the session, once completed

Example:

"pay_01H1VECT"

subscription_id
string | null

Subscription created by the session, once completed

Example:

"sub_01H1VECT"